#include "testlib.h"
#include <bits/stdc++.h>

using namespace std;

const int MIN_N = 1;
const int MAX_N = 1e5;
const int MIN_COORD = -1e9;
const int MAX_COORD = 1e9;

int main(int argc, char* argv[]) {
    registerValidation(argc, argv);
    int n = inf.readInt(MIN_N, MAX_N, "n");
    inf.readEoln();
    for (int i = 0; i < n; i++) {
        int x = inf.readInt(MIN_COORD, MAX_COORD, "xi");
        inf.readSpace();
        int y = inf.readInt(MIN_COORD, MAX_COORD, "yi"); 
        inf.readEoln();
    }
    inf.readEof();
    return 0;
}